summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author B. Watson2014-01-18 03:31:10 +0100
committer Erik Hanson2014-01-30 06:21:06 +0100
commite7fac27000cff596d4ba32a9d6d6eea431be5eff (patch)
treedf87d5edef2c93db3e52b149ef6ce045d9435443 /graphics
parentd1dd666915587dd3aa43fef555c4be1af852af90 (diff)
downloadslackbuilds-e7fac27000cff596d4ba32a9d6d6eea431be5eff.tar.gz
graphics/gifsicle: Added (CL tool for manipulating GIF images).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gifsicle/README4
-rw-r--r--graphics/gifsicle/gifsicle.SlackBuild81
-rw-r--r--graphics/gifsicle/gifsicle.info10
-rw-r--r--graphics/gifsicle/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/graphics/gifsicle/README b/graphics/gifsicle/README
new file mode 100644
index 0000000000..2683925607
--- /dev/null
+++ b/graphics/gifsicle/README
@@ -0,0 +1,4 @@
+gifsicle (command line tool for manipulating GIF images)
+
+Gifsicle is a command-line tool for creating, editing, and getting
+information about GIF images and animations.
diff --git a/graphics/gifsicle/gifsicle.SlackBuild b/graphics/gifsicle/gifsicle.SlackBuild
new file mode 100644
index 0000000000..30a92e0688
--- /dev/null
+++ b/graphics/gifsicle/gifsicle.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for gifsicle
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=gifsicle
+VERSION=${VERSION:-1.78}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gifsicle/gifsicle.info b/graphics/gifsicle/gifsicle.info
new file mode 100644
index 0000000000..002ec90c29
--- /dev/null
+++ b/graphics/gifsicle/gifsicle.info
@@ -0,0 +1,10 @@
+PRGNAM="gifsicle"
+VERSION="1.78"
+HOMEPAGE="http://www.lcdf.org/gifsicle/"
+DOWNLOAD="http://www.lcdf.org/gifsicle/gifsicle-1.78.tar.gz"
+MD5SUM="22eace43637a4389bf64bf863bc9724c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/graphics/gifsicle/slack-desc b/graphics/gifsicle/slack-desc
new file mode 100644
index 0000000000..0ddf14af65
--- /dev/null
+++ b/graphics/gifsicle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gifsicle: gifsicle (command line tool for manipulating GIF images)
+gifsicle:
+gifsicle: Gifsicle is a command-line tool for creating, editing, and getting
+gifsicle: information about GIF images and animations.
+gifsicle:
+gifsicle:
+gifsicle:
+gifsicle:
+gifsicle:
+gifsicle:
+gifsicle: